<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

widget( "head" );
include( $path_cache.DS."mod_b2b_Shared_head.php" );
echo "\r\n";
echo "<s";
echo "tyle type=\"text/css\">\r\n\t.lt{width:33%;text-align:right; padding-right:5px;height:35px;font-size:14px;}\r\n\t.rt{width:67%;padding-left:5px;text-align:left;}\r\n\t#ubtwoRight span{widht:250px;border:1px #989A97 solid;background:#F2F6FF;padding:2px}\r\n\t.rline{border-top:1px #ccc  dashed;width:630px;margin:0 auto;margin-top:5px }\r\n</style>\r\n\r\n<div id=\"tip\" style=\"padding:0px 5px;color:#ff0000;position:absolut";
echo "e;background-color:#ffffff;border:1px solid gray;display:none;left:0;top:2;filter:progid:DXImageTransform.Microsoft.Shadow(color=#f,direction=202,strength=2);\"></div>\r\n";
echo "<s";
echo "cript src=\"";
echo $vd['content'];
echo "js/detect.js\" type=\"text/javascript\"></script>\r\n";
echo "<s";
echo "cript src=\"";
echo $vd['content'];
echo "js/ajax.js\" type=\"text/javascript\"></script>\r\n<div class=\"newsmain\">\r\n\t\t<div class=\"reg\">\r\n\t\t<div class=\"regbar\">";
echo "<s";
echo "pan><img src=\"";
echo $vd['content'];
echo "images/restop.gif\" /></span></div>\r\n\t\t<div class=\"zy\">带";
echo "<s";
echo "pan class=\"star\">*</span></font>的项为必填</div>\r\n\t\t<div class=\"tableout\">\r\n      <form method=\"post\" action=\"#\">\r\n      <div class=\"rline\"></div>\r\n      <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\"  style=\"border-left:0px #E1E4E7 solid;border-right:0px #E1E4E7 solid;\">\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 输入用户名：</td>\r\n          <td class=\"rt\"> \r\n       ";
echo "   \t<input type=\"text\" size=\"25\" id=\"cname\" class=\"reginput\" onblur=\"check_id(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请输入您需要注册的用户名\"/> \r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancname\">帐号由4-16位中文、英文和数字组合</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 登录/交易密码：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"password\" size=\"25\" id=\"cpwd\" class=\"reginput\" style=\"padding-top:1px;padding-bottom:1px;\" onblur=\"check_password();\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showti";
echo "p(this.tips,0,150)\" msg=\"请输入登录/交易密码，初始默认登录密码和交易密码相同，您可以注册成功后，登录系统修改\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancpwd\">密码由6-16位英文(区分大小写)和数字的组合</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 确认登录/交易密码：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"password\" size=\"25\" id=\"recpwd\" class=\"reginput\" style=\"padding-top:1px;padding-bottom:1px;\" onblur=\"check_pw();\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=";
echo "\"showtip(this.tips,0,150)\" msg=\"请再次输入密码\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spanrecpwd\">请再次输入密码</span>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n      <div class=\"rline\"></div>\r\n      <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\"  >\r\n      \t<tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 真实姓名：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"crealname\" class=\"reginput\" onblur=\"check_UserName(this.val";
echo "ue);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请您填写本人真实姓名\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancrealname\">请您填写本人真实姓名</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\"></font> 身份证号：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"idcard\" class=\"reginput\" onblur=\"check_IdentityNO(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请填写您真实的身份证号(";
echo "18位)\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spanidcard\">请填写您真实的身份证号(18位)</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 公司名称：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"company\" class=\"reginput\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请填写您真实的公司名称,没有的话填写您喜欢的名字即可\"/>\r";
echo "\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancompany\">请填写您真实的公司名称</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 网店地址：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"eshop\" class=\"reginput\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请填写您真实的网店地址,实体店填写即可\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spaneshop\">请填写您真实的网店地址,实体店填写即可</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 所在区域：</td>\r\n          <td class=\"rt\"> \r\n          \t";
echo "<s";
echo "elect name=\"prv\" id=\"prv\" OnChange=\"setcity();\" style=\"border:1px groove #C0C0C0; width:80px; font-family:宋体; font-size:9pt; text-decoration:none; color:#000000; padding-left:4; padding-right:4; padding-top:1; padding-bottom:1\"> \r\n              <option value=\"\">-所在省份-</option>\r\n              <option value=\"安徽\">安徽</option>\r\n              <option value=\"北京\">北京</option>\r\n              <option ";
echo "value=\"重庆\">重庆</option>\r\n              <option value=\"福建\">福建</option>\r\n              <option value=\"甘肃\">甘肃</option>\r\n              <option value=\"广东\">广东</option>\r\n              <option value=\"广西\">广西</option>\r\n              <option value=\"贵州\">贵州</option>\r\n              <option value=\"海南\">海南</option>\r\n              <option value=\"河北\">河北</option>\r\n              <option value=\"黑龙江\">?;
echo "诹?/option>\r\n              <option value=\"河南\">河南</option>\r\n              <option value=\"香港\">香港</option>\r\n              <option value=\"湖北\">湖北</option>\r\n              <option value=\"湖南\">湖南</option>\r\n              <option value=\"江苏\">江苏</option>\r\n              <option value=\"江西\">江西</option>\r\n              <option value=\"吉林\">吉林</option>\r\n              <option value=\"辽宁\">辽宁</option>\r\n ";
echo "             <option value=\"澳门\">澳门</option>\r\n              <option value=\"内蒙古\">内蒙古</option>\r\n              <option value=\"宁夏\">宁夏</option>\r\n              <option value=\"青海\">青海</option>\r\n              <option value=\"山东\">山东</option>\r\n              <option value=\"上海\">上海</option>\r\n              <option value=\"山西\">山西</option>\r\n              <option value=\"陕西\">陕西</option>\r\n             ";
echo " <option value=\"四川\">四川</option>\r\n              <option value=\"台湾\">台湾</option>\r\n              <option value=\"天津\">天津</option>\r\n              <option value=\"新疆\">新疆</option>\r\n              <option value=\"西藏\">西藏</option>\r\n              <option value=\"云南\">云南</option>\r\n              <option value=\"浙江\">浙江</option>\r\n            </select>\r\n            省   \r\n            ";
echo "<s";
echo "elect NAME=\"city\" id=\"city\" style=\"border:1px groove #C0C0C0; width:80px; font-family:宋体; font-size:9pt\"> \r\n            </select> \r\n            市\r\n            </span>\r\n          \t";
echo "<s";
echo "pan id=\"spancityprv\" style=\"display:none\">请选择您公司所在的省份</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 您的QQ号码：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"cqq\" class=\"reginput\" onblur=\"check_qq(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请您填写可";
echo "以和您本人取得联系的QQ号码\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancqq\">请您填写可以和您本人取得联系的QQ号码</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"> 邮&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;箱：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"cmail\" class=\"reginput\" onblur=\"check_email(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请填写您真实?;
echo "Ｓ玫挠氏?以便以后找回密码\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancmail\">请填写您真实常用的邮箱,以便以后找回密码</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"> 手&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;机：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"cmobile\" class=\"reginput\" onblur=\"check_Phone(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请您填";
echo "写可以和您本人取得联系的手机号码\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancmobile\">请您填写可以和您本人取得联系的手机号码</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"> 电&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;话：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"ctel\" class=\"reginput\" onblur=\"check_Telephone(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"格式";
echo "如：010-88888888\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spanctel\">格式如：010-88888888</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"> 联系地址：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"caddr\" class=\"reginput\" onblur=\"check_address(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请输入负责人的联系地址\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spancaddr\">请输入负责人的联系地址</span>\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"><font color=\"B02A31\">*</font> 输入验证码：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"randcode\" class=\"reginput\" onblur=\"checkcode(this.value);\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请输入您右边图像看到的验证?;
echo "隲"/>\r\n          \t\r\n          </td>\r\n        </tr>\r\n        <tr> \r\n          <td class=\"lt\"></td>\r\n          <td class=\"rt\"> \r\n          \t<img src=\"index.php?m=mod_b2b&a=randcode\" id=\"src\" height=\"38\" alt=\"看不清楚?请点击刷新\" onclick=\"this.src=this.src+'&'+Math.random();\" style=\"vertical-align:middle;\"/>\r\n          \t";
echo "<s";
echo "pan id=\"spanrandcode\">看不清楚?请点击验证码刷新</span>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n      <div class=\"rline\"></div>\r\n      <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" >\r\n        <tr> \r\n          <td class=\"lt\" valign=\"top\" style=\"padding-right:12px;\"> <input type=\"checkbox\" checked style=\"vertical-align:middle\"/><b>个性化默认设置：</b></td>\r\n          <td class=\"rt\" style=";
echo "\"\">\r\n          \t<input type=\"hidden\" id=\"websetting\" name=\"websetting\" value=\"1|1|0|1|1|1|1|0|0|0|0|0|0|0|0|\"/>\r\n          \t<input type=\"checkbox\" value=\"0\" checked onclick=\"set(this)\"/>\r\n          \t购买点卡的时候显示进货价格<br/>\r\n          \t<input type=\"checkbox\" value=\"1\" checked onclick=\"set(this)\"/>\r\n          \t显示账户余额<br/>\r\n          \t<input type=\"checkbox\" value=\"2\" onclick=\"set(this)\"/>\r\n  ";
echo "        \t显示我的上级经销商<br/>\r\n          \t<input type=\"checkbox\" value=\"3\" checked onclick=\"set(this)\"/>\r\n          \t允许建立员工销售账号<br/>\r\n          \t<input type=\"checkbox\" value=\"4\" checked onclick=\"set(this)\"/>\r\n          \t允许员工售卡时修改零售价格<br/>\r\n          \t<input type=\"checkbox\" value=\"5\" checked onclick=\"set(this)\"/>\r\n          \t允许使用网站登录方式<br/>\r\n          \t<input type=\"check";
echo "box\" value=\"6\" checked onclick=\"set(this)\"/>\r\n          \t允许使用登录器登录<br/>\r\n          \t<input type=\"checkbox\" value=\"7\" onclick=\"set(this)\"/>\r\n            收到新的短消息弹出提醒框<br/>\r\n            <input type=\"checkbox\" value=\"8\" onclick=\"set(this)\"/>\r\n            购卡时候输入交易密码<br/>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n      \r\n      <div class=\"rline\"></div>\r\n      <table width=\"100";
echo "%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" >\r\n        <tr> \r\n          <td class=\"lt\"> 上级代理商：</td>\r\n          <td class=\"rt\"> \r\n          \t<input type=\"text\" size=\"25\" id=\"parentid\" ";
if ( isset( $vd['agent'][7] ) )
{
				echo "value=\"";
				echo $vd['agent'][7];
				echo "\" disabled style=\"background:#f0f0f0\"";
}
echo " class=\"reginput\" onblur=\"check_parent(this.value)\" onmousemove=\"showtip(this.msg,1,150)\" onmouseout=\"showtip(this.tips,0,150)\" msg=\"请输入您的上级代理商，如果没有，留空即可(表示上级属入系统)\"/>\r\n          \t<img src=\"";
echo $vd['imgurl'];
echo $vd['content'];
echo "images/regarrow.gif\" style=\"vertical-align:middle\">\r\n          \t";
echo "<s";
echo "pan id=\"spanparentid\">请您填写您上级的编号,如果没有请留空</span>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n      <div class=\"rline\"></div>\r\n      <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" >\r\n        <tr> \r\n        \t<td class=\"lt\"> </td>\r\n          <td class=\"rt\">\r\n          \t<input type=\"checkbox\" onclick=\"setable(this)\" >我已看过并同意 <a href=\"index.php?m=mod_b2b&a=aggrement\" targ";
echo "et=\"_blank\"><u><font color=\"#07067B\">《";
echo $vd['web']['webname'];
echo "会员用户服务协议》</font></u></a>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n      <table width=\"100%\" >\r\n        <tr> \r\n          <td class=\"lt\"> </td>\r\n          <td class=\"rt\"> \r\n          \t<input id=\"reg_submit\" type=\"button\" value=\" 注 册 \" class=\"button setleft\" onclick=\"sendinfo()\" disabled/>\r\n            <input type=\"reset\" value=\" 重 置 \" class=\"button\"/>\r\n            ";
echo "<s";
echo "pan id=\"spanresult\"></span>\r\n          </td>\r\n        </tr>\r\n      </table>\r\n      </form>\r\n    </div>\r\n</div>\r\n</div>\r\n\r\n";
widget( "foot" );
include( $path_cache.DS."mod_b2b_Shared_foot.php" );
echo "\r\n";
echo "<s";
echo "cript type=\"text/javascript\">\r\n\tfunction setable(obj)\r\n\t{\r\n\t\tif(obj.checked)\r\n\t\t{\r\n\t\t\taccept_info();\r\n\t\t}\r\n\t  else\r\n\t\t{\r\n\t\t\trefuse_info();\r\n\t\t}\r\n\t}\r\n      \r\n\tfunction showtip(tips,flag,thiswidth)\r\n\t{\r\n\t  var mytip=document.getElementById(\"tip\");\r\n\t  if(flag)\r\n\t  {\r\n\t  \tpos = SelfXY();\r\n  \t  mytip.innerHTML     = tips;\r\n\t  \tmytip.style.display = \"\";\r\n\t  \tmytip.style.width   = thiswidth;\r\n\t  \tmytip.";
echo "style.left    = pos[0]+10;\r\n\t  \tmytip.style.top     = pos[1]+10;\r\n\t  }\r\n\t  else\r\n\t  {\r\n\t  \tmytip.style.display=\"none\";  \r\n\t  }\r\n  }\r\n  \r\n  //获取鼠标的坐标\n  function SelfXY(){\r\n    var yScrolltop;\r\n    var xScrollleft;\r\n    if (self.pageYOffset || self.pageXOffset) {\r\n        yScrolltop = self.pageYOffset;\r\n        xScrollleft = self.pageXOffset;\r\n    } else if (document.documentElement && docume";
echo "nt.documentElement.scrollTop || document.documentElement.scrollLeft ){      // Explorer 6 Strict\r\n        yScrolltop = document.documentElement.scrollTop;\r\n        xScrollleft = document.documentElement.scrollLeft;\r\n    } else if (document.body) {// all other Explorers\r\n        yScrolltop = document.body.scrollTop;\r\n        xScrollleft = document.body.scrollLeft;\r\n    }\r\n    arrayPageScroll = new ";
echo "Array(xScrollleft + event.clientX ,yScrolltop + event.clientY, xScrollleft, yScrolltop) \r\n    return arrayPageScroll;\r\n  }\r\n  \r\n  var mywebsetting = new Array(1,1,0,1,1,1,1,0,0,0,0,0,0,0,0);\r\n  function set(obj)\r\n  {\r\n  \tmywebsetting[obj.value] = obj.checked ? 1 : 0;\r\n  \tdocument.getElementById(\"websetting\").value = implode(\"|\", mywebsetting);\r\n  }\r\n  \r\n  function implode(str, myarray)\r\n  {\r\n  \tva";
echo "r thisstr = \"\";\r\n  \tfor(i=0;i<myarray.length;i++)\r\n  \t{\r\n  \t\tthisstr = thisstr + myarray[i] + \"|\";\r\n  \t}\r\n  \treturn thisstr;\r\n  }\r\n</script>\r\n";
?>
